Bug 1256822 - [RFE] support ipv6 shared connections
[RFE] support ipv6 shared connections
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager (Show other bugs)
7.1
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Lubomir Rintel
Desktop QE
: FutureFeature
Depends On: 1340509 1359266 1359269
Blocks: 1301628 1313485
  Show dependency treegraph
 
Reported: 2015-08-25 10:12 EDT by Vladimir Benes
Modified: 2017-08-01 05:17 EDT (History)
11 users (show)

See Also:
Fixed In Version: NetworkManager-1.8.0-0.2.git20170215.1d40c5f4.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-01 05:17:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 593815 None None None Never

  None (edit)
Description Vladimir Benes 2015-08-25 10:12:29 EDT
Description of problem:
upping connection with ipv6 shared enabled is not supported:
Error: Connection activation failed: Sharing IPv6 connections is not supported yet.

Version-Release number of selected component (if applicable):
NetworkManager-1.0.4-9.el7.ppc64le

How reproducible:
always

Steps to Reproduce:
1.nmcli connection add type ethernet con-name ethie ifname eth1
2.nmcli connection edit id ethie
3.set ipv6.method shared
4.save
5.quit
6.nmcli connection up id ethie 

Actual results:
Error: Connection activation failed: Sharing IPv6 connections is not supported yet.

Expected results:
dnsmasq running with ipv6 ra functionality enabled. connection upped.

Additional info:
Comment 1 Beniamino Galvani 2015-08-25 10:47:06 EDT
There are some proposals for this feature in upstream bug:

  https://bugzilla.gnome.org/show_bug.cgi?id=593815
Comment 3 Lubomir Rintel 2016-06-21 11:00:44 EDT
Looks like the most straightforward way to get the functionality is the NDP proxying. However the kernel part is not good enough at this point :(

Adding a blocker bug.
Comment 4 Lubomir Rintel 2016-11-09 12:08:11 EST
Merged upstream ecc6040cd8ecce37685c8433810be16ff35096da
Comment 6 errata-xmlrpc 2017-08-01 05:17:07 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2299

Note You need to log in before you can comment on or make changes to this bug.